Morale API - Accounts

Accounts

Users can have access to multiple accounts for a specific email address.

You can use the accounts API to get a list of those available accounts with a specific email address. Each of the accounts listed return detailed information about those accounts.

API :: Accounts

list

Input Parameters
  • email The email address of the user who belongs to an account
Output Parameters
  • account A representation of a single account
    • id The unique identifier for the account
    • site_address The subdomain of the account
    • group_name The name of the group or account
    • owner_id The id of the user that is the account owner for the account
    • state Indicates an Active account. Other values include suspended, cancelled, and trialing
    • plan_id The plan associated with this account
    • updated_at The timestamp of when the account was last updated
    • created_at The timestamp of when the account was created
Example

request

curl https://www.teammorale.com/api/v1/accounts?email=api@teammorale.com

response

[{                              
  "account":
  {
    "id": 1,
    "site_address": "api-test",
    "group_name": "API Test",
    "owner_id": 1,
    "state": "active",
    "plan_id": 5,
    "updated_at": "2011-09-01T18:49:25Z",
    "created_at": "2011-06-23T03:55:34Z"
  },
  "account":
  {
    "id": 2,
    "site_address": "acme",
    "group_name": "Acme Corporation",
    "owner_id": 1,
    "state": "active",
    "plan_id": 3,
    "updated_at": "2011-10-01T16:29:29Z",
    "created_at": "2011-06-25T03:25:32Z"
  }
}]